Index: TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/storage/temporary/TemporaryAnnotationManager.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/storage/temporary/TemporaryAnnotationManager.java	(revision 3882)
+++ TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/storage/temporary/TemporaryAnnotationManager.java	(revision 3883)
@@ -34,38 +34,38 @@
 	 * @return
 	 */
 	public static HashMap<String, Object> getInitialisationProperties(Class clazz, MainCorpus corpus) {
-		File path = new File(corpus.getProjectDirectory(), "temporary_annotations/" + corpus.getID() + "/db");
+		File path = new File(corpus.getProjectDirectory(), "temporary_annotations/" + corpus.getID() + "/db"); //$NON-NLS-1$ //$NON-NLS-2$
 		path.getParentFile().mkdirs();
 		
 		HashMap<String, Object> properties = new HashMap<>();
 		// System.out.println("CLASSLOADER: "+Toolbox.class.getClassLoader());
 		properties.put(PersistenceUnitProperties.CLASSLOADER, clazz.getClassLoader());
-		properties.put("javax.persistence.jdbc.driver", "org.hsqldb.jdbcDriver");
+		properties.put("javax.persistence.jdbc.driver", "org.hsqldb.jdbcDriver"); //$NON-NLS-1$ //$NON-NLS-2$
 		
-		String urlProperty = "jdbc:hsqldb:file:" + path + ";shutdown=true;hsqldb.write_delay=false;hsqldb.lock_file=false;";
+		String urlProperty = "jdbc:hsqldb:file:" + path + ";shutdown=true;hsqldb.write_delay=false;hsqldb.lock_file=false;"; //$NON-NLS-1$ //$NON-NLS-2$
 		if (Log.getLevel().intValue() < Level.INFO.intValue()) {
-			urlProperty += "";
+			urlProperty += ""; //$NON-NLS-1$
 		}
 		else {
-			urlProperty += "hsqldb.applog=0;hsqldb.sqllog=0";
+			urlProperty += "hsqldb.applog=0;hsqldb.sqllog=0"; //$NON-NLS-1$
 		}
-		properties.put("javax.persistence.jdbc.url", urlProperty);
-		properties.put("javax.persistence.jdbc.username", "SA");
-		properties.put(PersistenceUnitProperties.DDL_GENERATION_MODE, "database");
+		properties.put("javax.persistence.jdbc.url", urlProperty); //$NON-NLS-1$
+		properties.put("javax.persistence.jdbc.username", "SA"); //$NON-NLS-1$ //$NON-NLS-2$
+		properties.put(PersistenceUnitProperties.DDL_GENERATION_MODE, "database"); //$NON-NLS-1$
 		if (KRAnnotationPreferences.getInstance().getBoolean(KRAnnotationPreferences.PRESERVE_ANNOTATIONS)) {
-			properties.put(PersistenceUnitProperties.DDL_GENERATION, "create-or-extend-tables"); // create&update table if needed, drop-and-create-tables to reset all
+			properties.put(PersistenceUnitProperties.DDL_GENERATION, "create-or-extend-tables"); // create&update table if needed, drop-and-create-tables to reset all //$NON-NLS-1$
 		}
 		else {
-			properties.put(PersistenceUnitProperties.DDL_GENERATION, "drop-and-create-tables"); // drop-and-create-tables to reset all
+			properties.put(PersistenceUnitProperties.DDL_GENERATION, "drop-and-create-tables"); // drop-and-create-tables to reset all //$NON-NLS-1$
 		}
 		
 		if (Log.getLevel().intValue() < Level.INFO.intValue()) {
-			properties.put(PersistenceUnitProperties.LOGGING_LEVEL, "INFO");
-			properties.put(PersistenceUnitProperties.LOGGING_PARAMETERS, "true");
+			properties.put(PersistenceUnitProperties.LOGGING_LEVEL, "INFO"); //$NON-NLS-1$
+			properties.put(PersistenceUnitProperties.LOGGING_PARAMETERS, "true"); //$NON-NLS-1$
 		}
 		else {
-			properties.put(PersistenceUnitProperties.LOGGING_LEVEL, "OFF");
-			properties.put(PersistenceUnitProperties.LOGGING_PARAMETERS, "false");
+			properties.put(PersistenceUnitProperties.LOGGING_LEVEL, "OFF"); //$NON-NLS-1$
+			properties.put(PersistenceUnitProperties.LOGGING_PARAMETERS, "false"); //$NON-NLS-1$
 		}
 		
 		return properties;
@@ -89,13 +89,13 @@
 	
 	public void checkData() throws Exception {
 		List<Annotation> annots = getAnnotations();
-		System.out.println("ID \t Type \t Val \t startPos \t startEnd \t Text ");
-		System.out.println("----------------------------------------------------");
+		System.out.println("ID \t Type \t Val \t startPos \t startEnd \t Text "); //$NON-NLS-1$
+		System.out.println("----------------------------------------------------"); //$NON-NLS-1$
 		for (Annotation an : annots) {
-			System.out.print("\t " + an.getPK().getRefType());
-			System.out.print("\t " + an.getValue());
-			System.out.print("\t " + an.getPK().getStartPosition());
-			System.out.print("\t " + an.getPK().getEndPosition() + "\n");
+			System.out.print("\t " + an.getPK().getRefType()); //$NON-NLS-1$
+			System.out.print("\t " + an.getValue()); //$NON-NLS-1$
+			System.out.print("\t " + an.getPK().getStartPosition()); //$NON-NLS-1$
+			System.out.print("\t " + an.getPK().getEndPosition() + "\n"); //$NON-NLS-1$ //$NON-NLS-2$
 		}
 	}
 	
@@ -270,7 +270,7 @@
 	 */
 	public List<Annotation> getAnnotations() throws Exception {
 		
-		TypedQuery<Annotation> query = em.createQuery("SELECT annot FROM Annotation AS annot", Annotation.class);
+		TypedQuery<Annotation> query = em.createQuery("SELECT annot FROM Annotation AS annot", Annotation.class); //$NON-NLS-1$
 		return query.getResultList();
 	}
 	
@@ -306,15 +306,15 @@
 	 * @throws Exception
 	 */
 	public List<Annotation> getAnnotations(AnnotationType refType, int startPosition, int endPosition, String value) {
-		String query = "SELECT annot FROM Annotation AS annot WHERE annot.PK.refType LIKE '" + refType.getId() + "'";
+		String query = "SELECT annot FROM Annotation AS annot WHERE annot.PK.refType LIKE '" + refType.getId() + "'"; //$NON-NLS-1$ //$NON-NLS-2$
 		if (startPosition >= 0)
-			query += " AND annot.PK.startpos = " + startPosition;
+			query += " AND annot.PK.startpos = " + startPosition; //$NON-NLS-1$
 		
 		if (endPosition >= 0)
-			query += " AND annot.PK.endpos = " + endPosition;
+			query += " AND annot.PK.endpos = " + endPosition; //$NON-NLS-1$
 		
 		if (value != null)
-			query += " AND annot.refVal LIKE ':" + value + "' ";
+			query += " AND annot.refVal LIKE ':" + value + "' "; //$NON-NLS-1$ //$NON-NLS-2$
 		
 		TypedQuery<Annotation> typedQuery = em.createQuery(query, Annotation.class);
 		return typedQuery.getResultList();
@@ -328,10 +328,10 @@
 	 * @throws Exception
 	 */
 	public List<Annotation> getAnnotations(AnnotationType type, List<? extends Match> matches, String value, boolean ordered, boolean overlap) throws Exception {
-		String query = "SELECT annot FROM Annotation AS annot";
+		String query = "SELECT annot FROM Annotation AS annot"; //$NON-NLS-1$
 		boolean where = false; // TODO: need to replace this
 		
-		String queryPos = " ";
+		String queryPos = " "; //$NON-NLS-1$
 		int i = 0;
 		
 		for (Match match : matches) {
@@ -346,26 +346,26 @@
 			
 			if (i == 0) {
 				if (overlap) {
-					queryPos += " ( (" + overlapString(start, end, 0) + ")"
-							+ " OR (" + overlapString(start, end, 1) + ") ";
+					queryPos += " ( (" + overlapString(start, end, 0) + ")" //$NON-NLS-1$ //$NON-NLS-2$
+							+ " OR (" + overlapString(start, end, 1) + ") "; //$NON-NLS-1$ //$NON-NLS-2$
 					// String overlapBesides = "annot.PK.endpos < "+match.getStart()+" OR annot.PK.startpos > "+match.getEnd()+"";
 					// queryPos += " AND NOT ( "+overlapBesides+" ) ) ";
-					queryPos += " OR ( annot.PK.startpos <= " + start + " AND " + end + " <= annot.PK.endpos ) )";
+					queryPos += " OR ( annot.PK.startpos <= " + start + " AND " + end + " <= annot.PK.endpos ) )"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 				}
 				else {
-					queryPos += " (annot.PK.startpos = " + start + " AND annot.PK.endpos = " + end + ")";
+					queryPos += " (annot.PK.startpos = " + start + " AND annot.PK.endpos = " + end + ")"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 				}
 			}
 			else {
 				if (overlap) {
-					queryPos += " OR ( (" + overlapString(start, end, 0) + ")"
-							+ " OR (" + overlapString(start, end, 1) + ") ";
+					queryPos += " OR ( (" + overlapString(start, end, 0) + ")" //$NON-NLS-1$ //$NON-NLS-2$
+							+ " OR (" + overlapString(start, end, 1) + ") "; //$NON-NLS-1$ //$NON-NLS-2$
 					// String overlapBesides = "annot.PK.endpos < "+match.getStart()+" OR annot.PK.startpos > "+match.getEnd()+"";
 					// queryPos += " AND NOT ( "+overlapBesides+" ) ) ";
-					queryPos += " OR ( annot.PK.startpos <= " + start + " AND " + end + " <= annot.PK.endpos ) )";
+					queryPos += " OR ( annot.PK.startpos <= " + start + " AND " + end + " <= annot.PK.endpos ) )"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 				}
 				else {
-					queryPos += " OR (annot.PK.startpos = " + start + " AND annot.PK.endpos = " + end + ")";
+					queryPos += " OR (annot.PK.startpos = " + start + " AND annot.PK.endpos = " + end + ")"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 				}
 			}
 			++i;
@@ -373,27 +373,27 @@
 		
 		if (matches.size() > 0) {
 			if (where)
-				query += " AND ( " + queryPos + " )";
+				query += " AND ( " + queryPos + " )"; //$NON-NLS-1$ //$NON-NLS-2$
 			else {
-				query += " WHERE ( " + queryPos + " )";
+				query += " WHERE ( " + queryPos + " )"; //$NON-NLS-1$ //$NON-NLS-2$
 				where = true;
 			}
 		}
 		
 		if (type != null) {
 			if (where)
-				query += " AND annot.PK.refType LIKE '" + type.getId() + "'";
+				query += " AND annot.PK.refType LIKE '" + type.getId() + "'"; //$NON-NLS-1$ //$NON-NLS-2$
 			else {
-				query += " WHERE annot.PK.refType LIKE '" + type.getId() + "'";
+				query += " WHERE annot.PK.refType LIKE '" + type.getId() + "'"; //$NON-NLS-1$ //$NON-NLS-2$
 				where = true;
 			}
 		}
 		
 		if (value != null) {
 			if (where)
-				query += " AND annot.PK.refVal LIKE '" + value + "'";
+				query += " AND annot.PK.refVal LIKE '" + value + "'"; //$NON-NLS-1$ //$NON-NLS-2$
 			else {
-				query += " WHERE annot.PK.refVal LIKE '" + value + "'";
+				query += " WHERE annot.PK.refVal LIKE '" + value + "'"; //$NON-NLS-1$ //$NON-NLS-2$
 				where = true;
 			}
 		}
@@ -481,12 +481,12 @@
 	public boolean hasChanges() {
 		try {
 			if (em == null) return false;
-			TypedQuery<Annotation> query = em.createQuery("SELECT annot FROM Annotation AS annot", Annotation.class);
+			TypedQuery<Annotation> query = em.createQuery("SELECT annot FROM Annotation AS annot", Annotation.class); //$NON-NLS-1$
 			// System.out.println("hasChanges query rez: "+query.getResultList());
 			return query.setMaxResults(1).getResultList().size() > 0; // get only the first match -> faster
 		}
 		catch (Exception e) {
-			Log.severe("** Error while testing corpus annotations state: " + e);
+			Log.severe("** Error while testing corpus annotations state: " + e); //$NON-NLS-1$
 		}
 		return false;
 	}
@@ -521,12 +521,12 @@
 	}
 	
 	private String overlapString(int startPos, int endPos, int typeOverlap) {
-		String overlap = "";
+		String overlap = ""; //$NON-NLS-1$
 		switch (typeOverlap) {
 			case 0:
-				return overlap += "annot.PK.startpos >= " + startPos + " AND annot.PK.startpos <= " + endPos; // OverlapOnStart
+				return overlap += "annot.PK.startpos >= " + startPos + " AND annot.PK.startpos <= " + endPos; // OverlapOnStart //$NON-NLS-1$ //$NON-NLS-2$
 			case 1:
-				return overlap += "annot.PK.endpos >= " + startPos + " AND annot.PK.endpos <= " + endPos + ""; // OverlapOnEnd
+				return overlap += "annot.PK.endpos >= " + startPos + " AND annot.PK.endpos <= " + endPos + ""; // OverlapOnEnd //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 			default:
 				return overlap;
 		}
Index: TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/messages/Messages.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/messages/Messages.java	(revision 3882)
+++ TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/messages/Messages.java	(revision 3883)
@@ -17,14 +17,52 @@
 	
 	private static final String BUNDLE_NAME = "org.txm.annotation.kr.core.messages.messages"; //$NON-NLS-1$
 
+	public static String AnnotationsSavedInP0;
+
 	public static String KRIsNotConnectedCheckingCredentialRequirement;
 
 	public static String WarningDuplicatedP0ValueInP1OfTheP2KRIgnoringTheValue;
 
+	public static String WarningUnknownTypeP0;
+
+	public static String WritingAnnotationsXMLFilesInP0;
+
+	public static String ErrorCannotFoundAXMLTXMFileForTextWithTheP0Id;
+
+	public static String ErrorCouldNotCreateDirectoryP0;
+
+	public static String ErrorCouldNotCreateWriteTemporaryDirectoryP0;
+
+	public static String ErrorCouldNotReplaceXMLTXMFileP0WithP1;
+
+	public static String ErrorNoKnowledgeRepositoryFoundInP0Corpus;
+
+	public static String ErrorNoKnowledgeRepositoryP0FoundInP1Corpus;
+
+	public static String ErrorNPEForEndPositionOfAnnotationP0;
+
+	public static String ErrorResultFileP0IsMalformed;
+
+	public static String ErrorTheP0ResultFileIsMalformed;
+
 	public static String ErrorWhileLoadingTypesFromFileP0;
+
+	public static String ErrorWhileProcessingP0InTempDir;
+
+	public static String ErrorWhileProcessingTheP0FileInStandOffDir;
+
+	public static String ErrorWhileWritingAnnotationsOfTextInP0;
+
+	public static String ErrorWhileWritingAnnotationsOfTextP0;
+
+	public static String ErrorWithCurrentWriterP0;
+
+	public static String ExportingAnnotationsOfTheP0Texts;
 	
 	public static String savingP0Annotations;
 	
+	public static String affectAnnotationCanceled;
+
 	public static String annotationSuccesfullyWritten;
 	
 	public static String savingAnnotations;
@@ -33,15 +71,47 @@
 	
 	public static String ConversionRulesP0;
 	public static String CouldNotReplaceOriginalFileWithTheP0ResultFile;
+
+	public static String deleteAnnotationCanceled;
+	public static String errorAnnotationFileHeaderFormatIsNotWekkfomattedP0ItShouldBeP1;
+
+	public static String errorCannotCloseTheP0AMP1;
+
+	public static String errorCannotCloseTheP0KRP1;
+
+	public static String errorDuringAnnotationCreationP0;
+
+	public static String errorNoAnnotationLineFound;
+
+	public static String errorNoKRFoundInP0Corpus;
+
+	public static String errorNoKRP0FoundInP1Corpus;
+
+	public static String exportingP0Annotations;
+
+	public static String failToClearTheAnnotationManagerInstanceP0;
+
 	public static String FailToProcessTheP0XMLFile;
 	public static String MoreErrorsSeeTheP0ErrorFile;
 	public static String NoFileFoundInTheP0Directory;
 	public static String SomeValuesDidNotMatchRule;
+	public static String TestP0;
+
 	public static String TheP0CorpusDirectoryWasNotFoundInP1;
 	public static String ThxTXMDirectoryWasNotFoundInP0;
 
 	public static String FailToGetSQLConnectionWithTheP0PropertiesErrorP1;
+
+	public static String importingP0Annotations;
+
+	public static String noAnnotationToSaveAborting;
+
+	public static String noMatchFoundWithCQLEqualP0;
 	
+	public static String warningNoAnnotationsToExportAborting;
+
+	public static String writingAnnotationsInXMLTXMFiles;
+
 	static {
 		// initialize resource bundle
 		Utf8NLS.initializeMessages(BUNDLE_NAME, Messages.class);
Index: TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/KRAnnotationEngine.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/KRAnnotationEngine.java	(revision 3882)
+++ TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/KRAnnotationEngine.java	(revision 3883)
@@ -12,6 +12,7 @@
 import org.osgi.service.prefs.BackingStoreException;
 import org.osgi.service.prefs.Preferences;
 import org.txm.annotation.core.AnnotationEngine;
+import org.txm.annotation.kr.core.messages.Messages;
 import org.txm.annotation.kr.core.preferences.KRAnnotationPreferences;
 import org.txm.annotation.kr.core.repository.KnowledgeRepository;
 import org.txm.annotation.kr.core.repository.KnowledgeRepositoryManager;
@@ -31,15 +32,15 @@
 	
 	static HashMap<MainCorpus, AnnotationManager> ams = new HashMap<>();
 	
-	public static String KNOWLEDGE_ACCESS = "access";
+	public static String KNOWLEDGE_ACCESS = "access"; //$NON-NLS-1$
 	
-	public static String KNOWLEDGE_STRINGS = "strings";
+	public static String KNOWLEDGE_STRINGS = "strings"; //$NON-NLS-1$
 	
-	public static String KNOWLEDGE_TYPEQUERIES = "queries";
+	public static String KNOWLEDGE_TYPEQUERIES = "queries"; //$NON-NLS-1$
 	
-	public static String KNOWLEDGE_TYPES = "fields";
+	public static String KNOWLEDGE_TYPES = "fields"; //$NON-NLS-1$
 	
-	public static String KNOWLEDGE_TYPEWEBACCESS = "typeaccess";
+	public static String KNOWLEDGE_TYPEWEBACCESS = "typeaccess"; //$NON-NLS-1$
 	
 	public static boolean canBeAnnotated(MainCorpus corpus) {
 		return getKnowledgeRepositoryNames(corpus).size() > 0;
@@ -105,8 +106,8 @@
 		if (e == null) return null;
 		
 		access.put(SQLKnowledgeRepository.NAME, e.getAttribute(SQLKnowledgeRepository.NAME));
-		access.put("version", e.getAttribute("version"));
-		access.put("mode", e.getAttribute("mode"));
+		access.put("version", e.getAttribute("version")); //$NON-NLS-1$ //$NON-NLS-2$
+		access.put("mode", e.getAttribute("mode")); //$NON-NLS-1$ //$NON-NLS-2$
 		access.put(SQLKnowledgeRepository.TYPE_URL, e.getAttribute(SQLKnowledgeRepository.TYPE_URL));
 		access.put(SQLKnowledgeRepository.TYPE_RESURL, e.getAttribute(SQLKnowledgeRepository.TYPE_RESURL));
 		access.put(SQLKnowledgeRepository.TYPE_TYPEURL, e.getAttribute(SQLKnowledgeRepository.TYPE_TYPEURL));
@@ -117,30 +118,30 @@
 		access.put(SQLConnection.SQL_PASSWORD, e.getAttribute(SQLConnection.SQL_PASSWORD));
 		
 		// <type id="" name> ... </type>
-		NodeList typesList = e.getElementsByTagName("type");
+		NodeList typesList = e.getElementsByTagName("type"); //$NON-NLS-1$
 		for (int i = 0; i < typesList.getLength(); i++) {
 			// <field type="xxx">yyy</field>
 			Element typeElement = (Element) typesList.item(i);
-			String type_id = "" + typeElement.getAttribute(SQLKnowledgeRepository.TYPE_ID);
+			String type_id = "" + typeElement.getAttribute(SQLKnowledgeRepository.TYPE_ID); //$NON-NLS-1$
 			
 			String type_name = typeElement.getAttribute(SQLKnowledgeRepository.NAME);
 			if (type_name == null || type_name.length() == 0) type_name = type_id;
 			
-			String type_url = "" + typeElement.getAttribute(SQLKnowledgeRepository.TYPE_URL);
+			String type_url = "" + typeElement.getAttribute(SQLKnowledgeRepository.TYPE_URL); //$NON-NLS-1$
 			
 			String type_size = typeElement.getAttribute(SQLKnowledgeRepository.TYPE_SIZE);
-			if (type_size == null || type_size.length() == 0) type_size = "SMALL"; // show all by default
+			if (type_size == null || type_size.length() == 0) type_size = "SMALL"; // show all by default //$NON-NLS-1$
 			type_size = type_size.toUpperCase();
 			
 			String type_effect = typeElement.getAttribute(SQLKnowledgeRepository.TYPE_EFFECT);
-			if (type_effect == null || type_effect.length() == 0) type_effect = "SEGMENT"; // segment annotation by default
+			if (type_effect == null || type_effect.length() == 0) type_effect = "SEGMENT"; // segment annotation by default //$NON-NLS-1$
 			type_effect = type_effect.toUpperCase();
 			
 			HashMap<String, String> hashFields = new HashMap<>();
-			NodeList fieldsList = typeElement.getElementsByTagName("field"); // contains KR type specific properties
+			NodeList fieldsList = typeElement.getElementsByTagName("field"); // contains KR type specific properties //$NON-NLS-1$
 			for (int j = 0; j < fieldsList.getLength(); j++) {
 				Element fieldElement = (Element) fieldsList.item(j);
-				hashFields.put(fieldElement.getAttribute("type"), fieldElement.getTextContent());
+				hashFields.put(fieldElement.getAttribute("type"), fieldElement.getTextContent()); //$NON-NLS-1$
 			}
 			
 			hashFields.put(SQLKnowledgeRepository.TYPE_URL, type_url);
@@ -150,19 +151,19 @@
 			fields.put(type_id, hashFields);
 		}
 		
-		NodeList stringsList = e.getElementsByTagName("strings");
+		NodeList stringsList = e.getElementsByTagName("strings"); //$NON-NLS-1$
 		for (int i = 0; i < stringsList.getLength(); i++) {
 			Element stringsElement = (Element) stringsList.item(i);
-			String lang = stringsElement.getAttribute("lang");
-			if (lang == null) lang = "en"; // default lang is "en"
+			String lang = stringsElement.getAttribute("lang"); //$NON-NLS-1$
+			if (lang == null) lang = "en"; // default lang is "en" //$NON-NLS-1$
 			
 			HashMap<String, String> values = new HashMap<>();
 			strings.put(lang, values);
 			
-			NodeList stringList = stringsElement.getElementsByTagName("string");
+			NodeList stringList = stringsElement.getElementsByTagName("string"); //$NON-NLS-1$
 			for (int j = 0; j < stringList.getLength(); j++) {
 				Element stringElement = (Element) stringList.item(j);
-				String key = stringElement.getAttribute("key");
+				String key = stringElement.getAttribute("key"); //$NON-NLS-1$
 				if (key != null) {
 					values.put(key, stringElement.getTextContent());
 				}
@@ -192,20 +193,20 @@
 		
 		if (preference == null) return null;
 		
-		access.put(SQLKnowledgeRepository.NAME, preference.get(SQLKnowledgeRepository.NAME, "default"));
-		access.put("version", preference.get("version", "0"));
-		access.put("mode", preference.get("mode", ""));
-		access.put(SQLKnowledgeRepository.TYPE_URL, preference.get(SQLKnowledgeRepository.TYPE_URL, ""));
-		access.put(SQLKnowledgeRepository.TYPE_RESURL, preference.get(SQLKnowledgeRepository.TYPE_RESURL, ""));
-		access.put(SQLKnowledgeRepository.TYPE_TYPEURL, preference.get(SQLKnowledgeRepository.TYPE_TYPEURL, ""));
-		access.put(SQLConnection.SQL_ADDRESS, preference.get(SQLConnection.SQL_ADDRESS, ""));
-		access.put(SQLConnection.SQL_DRIVER, preference.get(SQLConnection.SQL_DRIVER, ""));
-		access.put(SQLConnection.SQL_PORT, preference.get(SQLConnection.SQL_PORT, ""));
-		access.put(SQLConnection.SQL_USER, preference.get(SQLConnection.SQL_USER, ""));
-		access.put(SQLConnection.SQL_PASSWORD, preference.get(SQLConnection.SQL_PASSWORD, ""));
+		access.put(SQLKnowledgeRepository.NAME, preference.get(SQLKnowledgeRepository.NAME, "default")); //$NON-NLS-1$
+		access.put("version", preference.get("version", "0")); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+		access.put("mode", preference.get("mode", "")); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+		access.put(SQLKnowledgeRepository.TYPE_URL, preference.get(SQLKnowledgeRepository.TYPE_URL, "")); //$NON-NLS-1$
+		access.put(SQLKnowledgeRepository.TYPE_RESURL, preference.get(SQLKnowledgeRepository.TYPE_RESURL, "")); //$NON-NLS-1$
+		access.put(SQLKnowledgeRepository.TYPE_TYPEURL, preference.get(SQLKnowledgeRepository.TYPE_TYPEURL, "")); //$NON-NLS-1$
+		access.put(SQLConnection.SQL_ADDRESS, preference.get(SQLConnection.SQL_ADDRESS, "")); //$NON-NLS-1$
+		access.put(SQLConnection.SQL_DRIVER, preference.get(SQLConnection.SQL_DRIVER, "")); //$NON-NLS-1$
+		access.put(SQLConnection.SQL_PORT, preference.get(SQLConnection.SQL_PORT, "")); //$NON-NLS-1$
+		access.put(SQLConnection.SQL_USER, preference.get(SQLConnection.SQL_USER, "")); //$NON-NLS-1$
+		access.put(SQLConnection.SQL_PASSWORD, preference.get(SQLConnection.SQL_PASSWORD, "")); //$NON-NLS-1$
 		
 		// <type id="" name> ... </type>
-		Preferences typesList = preference.node("type");
+		Preferences typesList = preference.node("type"); //$NON-NLS-1$
 		for (String type_id : typesList.childrenNames()) {
 			// <field type="xxx">yyy</field>
 			// Element typeElement = (Element)typesList.item(i);
@@ -215,18 +216,18 @@
 			
 			String type_name = typeElement.get(SQLKnowledgeRepository.NAME, type_id);
 			
-			String type_url = "" + typeElement.get(SQLKnowledgeRepository.TYPE_URL, "");
+			String type_url = "" + typeElement.get(SQLKnowledgeRepository.TYPE_URL, ""); //$NON-NLS-1$ //$NON-NLS-2$
 			
-			String type_size = typeElement.get(SQLKnowledgeRepository.TYPE_SIZE, "SMALL");
+			String type_size = typeElement.get(SQLKnowledgeRepository.TYPE_SIZE, "SMALL"); //$NON-NLS-1$
 			type_size = type_size.toUpperCase();
 			
-			String type_effect = typeElement.get(SQLKnowledgeRepository.TYPE_EFFECT, "SEGMENT");
+			String type_effect = typeElement.get(SQLKnowledgeRepository.TYPE_EFFECT, "SEGMENT"); //$NON-NLS-1$
 			type_effect = type_effect.toUpperCase();
 			
 			HashMap<String, String> hashFields = new HashMap<>();
-			Preferences fieldsList = typeElement.node("field"); // contains KR type specific properties
+			Preferences fieldsList = typeElement.node("field"); // contains KR type specific properties //$NON-NLS-1$
 			for (String field_type : fieldsList.keys()) {
-				hashFields.put(field_type, fieldsList.get(field_type, ""));
+				hashFields.put(field_type, fieldsList.get(field_type, "")); //$NON-NLS-1$
 			}
 			
 			hashFields.put(SQLKnowledgeRepository.TYPE_URL, type_url);
@@ -236,7 +237,7 @@
 			fields.put(type_id, hashFields);
 		}
 		
-		Preferences stringsList = preference.node("strings");
+		Preferences stringsList = preference.node("strings"); //$NON-NLS-1$
 		for (String lang : stringsList.childrenNames()) {
 			Preferences stringsElement = stringsList.node(lang);
 			// String lang = stringsElement.getAttribute("lang");
@@ -246,7 +247,7 @@
 			strings.put(lang, values);
 			
 			for (String key : stringsElement.keys()) {
-				values.put(key, stringsElement.get(key, ""));
+				values.put(key, stringsElement.get(key, "")); //$NON-NLS-1$
 			}
 		}
 		
@@ -306,11 +307,11 @@
 		
 		String[] names;
 		try {
-			IEclipsePreferences node = base.getPreferencesScope().getNode("KnowledgeRepository");
+			IEclipsePreferences node = base.getPreferencesScope().getNode("KnowledgeRepository"); //$NON-NLS-1$
 			if (!node.nodeExists(corpus.getID())) {
 				// create the "DEFAULT" KR configuration
 				Preferences krconf = node.node(corpus.getID());
-				krconf.put("name", corpus.getID());
+				krconf.put("name", corpus.getID()); //$NON-NLS-1$
 			}
 			names = node.childrenNames();
 			return Arrays.asList(names); // getKnowledgeRepositoryNames(params);
@@ -357,7 +358,7 @@
 	
 	@Override
 	public String getName() {
-		return "CQP";
+		return "CQP"; //$NON-NLS-1$
 	}
 	
 	@Override
@@ -390,7 +391,7 @@
 					kr.getJPAManager().close();
 			}
 			catch (Exception e) {
-				Log.warning(NLS.bind("Error: cannot close the {0} KR : {1}.", kr, e.getLocalizedMessage()));
+				Log.warning(NLS.bind(Messages.errorCannotCloseTheP0KRP1, kr, e.getLocalizedMessage()));
 				Log.printStackTrace(e);
 				success = false;
 			}
@@ -401,7 +402,7 @@
 					am.closeAll();
 			}
 			catch (Exception e) {
-				Log.warning(NLS.bind("Error: cannot close the {0} AM : {1}.", am, e.getLocalizedMessage()));
+				Log.warning(NLS.bind(Messages.errorCannotCloseTheP0AMP1, am, e.getLocalizedMessage()));
 				Log.printStackTrace(e);
 				success = false;
 			}
@@ -428,7 +429,7 @@
 	@Override
 	public void notify(TXMResult r, String state) {
 		
-		if (r instanceof MainCorpus && "before_clean".equals(state)) {
+		if (r instanceof MainCorpus && "before_clean".equals(state)) { //$NON-NLS-1$
 			
 			MainCorpus c = (MainCorpus) r;
 			
@@ -437,7 +438,7 @@
 			}
 			
 			for (String krname : KRAnnotationEngine.getKnowledgeRepositoryNames(c)) {
-				Log.fine("cleaning KR: " + krname);
+				Log.fine("cleaning KR: " + krname); //$NON-NLS-1$
 				KRAnnotationEngine.unregisterKnowledgeRepositoryName(c, krname);
 			}
 			
@@ -446,15 +447,15 @@
 			}
 			
 			if (ams.get(c) != null && ams.get(c).tempManager != null && ams.get(c).tempManager.getEntityManager() != null ) {
-				Log.fine("closing temporary annotations database of: "+c);
+				Log.fine("closing temporary annotations database of: "+c); //$NON-NLS-1$
 				ams.get(c).tempManager.close(); // free files
 			}
 			
-			File buildDirectory = new File(c.getProjectDirectory(), "temporary_annotations/" + c.getID());
+			File buildDirectory = new File(c.getProjectDirectory(), "temporary_annotations/" + c.getID()); //$NON-NLS-1$
 			if (buildDirectory.exists()) {
 				DeleteDir.deleteDirectory(buildDirectory);
 			}
-		} else if (r instanceof MainCorpus && "clean".equals(state)) {
+		} else if (r instanceof MainCorpus && "clean".equals(state)) { //$NON-NLS-1$
 			
 			MainCorpus c = (MainCorpus) r;
 			
@@ -463,7 +464,7 @@
 			}
 			
 			for (String krname : KRAnnotationEngine.getKnowledgeRepositoryNames(c)) {
-				Log.fine("cleaning KR: " + krname);
+				Log.fine("cleaning KR: " + krname); //$NON-NLS-1$
 				KRAnnotationEngine.unregisterKnowledgeRepositoryName(c, krname);
 			}
 			
@@ -474,25 +475,25 @@
 			}
 			
 			if (ams.get(c) != null && ams.get(c).tempManager != null && ams.get(c).tempManager.getEntityManager() != null ) {
-				Log.fine("closing temporary annotations databse of: "+c);
+				Log.fine("closing temporary annotations databse of: "+c); //$NON-NLS-1$
 				ams.get(c).tempManager.close(); // free files
 			}
 			
-			File buildDirectory = new File(c.getProjectDirectory(), "temporary_annotations/" + c.getID());
+			File buildDirectory = new File(c.getProjectDirectory(), "temporary_annotations/" + c.getID()); //$NON-NLS-1$
 			if (buildDirectory.exists()) {
 				DeleteDir.deleteDirectory(buildDirectory);
 			}
 		}
-		else if (r instanceof Project && "clean".equals(state)) {
+		else if (r instanceof Project && "clean".equals(state)) { //$NON-NLS-1$
 			
 			Project p = (Project) r;
 			for (MainCorpus c : p.getChildren(MainCorpus.class)) { // if any MainCorpus is remaining, clean it
 				for (String krname : KRAnnotationEngine.getKnowledgeRepositoryNames(c)) {
-					Log.fine("cleaning KR: " + krname);
+					Log.fine("cleaning KR: " + krname); //$NON-NLS-1$
 					KRAnnotationEngine.unregisterKnowledgeRepositoryName(c, krname);
 				}
 			}
-			File buildDirectory = new File(p.getProjectDirectory(), "temporary_annotations");
+			File buildDirectory = new File(p.getProjectDirectory(), "temporary_annotations"); //$NON-NLS-1$
 			if (buildDirectory.exists()) {
 				DeleteDir.deleteDirectory(buildDirectory);
 			}
@@ -501,7 +502,7 @@
 	
 	@Override
 	public String getDetails() {
-		return "";
+		return ""; //$NON-NLS-1$
 	}
 	
 	public static void registerKnowledgeRepositoryName(CQPCorpus corpus, String name) {
@@ -509,11 +510,11 @@
 		Project project = corpus.getProject();
 		if (project == null) return;
 		try {
-			IEclipsePreferences node = project.getPreferencesScope().getNode("KnowledgeRepository");
+			IEclipsePreferences node = project.getPreferencesScope().getNode("KnowledgeRepository"); //$NON-NLS-1$
 			if (!node.nodeExists(name)) {
 				// create the "DEFAULT" KR configuration
 				Preferences krconf = node.node(name);
-				krconf.put("name", name);
+				krconf.put("name", name); //$NON-NLS-1$
 			}
 		}
 		catch (BackingStoreException e) {
@@ -526,7 +527,7 @@
 		Project project = corpus.getProject();
 		if (project == null) return;
 		try {
-			IEclipsePreferences node = project.getPreferencesScope().getNode("KnowledgeRepository");
+			IEclipsePreferences node = project.getPreferencesScope().getNode("KnowledgeRepository"); //$NON-NLS-1$
 			if (node.nodeExists(name)) {
 				Preferences krconf = node.node(name);
 				krconf.removeNode();
@@ -534,7 +535,7 @@
 			
 			KnowledgeRepository kr = KnowledgeRepositoryManager.getKnowledgeRepository(name);
 			if (kr != null) {
-				Log.fine("Deleting KR database: " + kr);
+				Log.fine("Deleting KR database: " + kr); //$NON-NLS-1$
 				KnowledgeRepositoryManager.deleteKnowledgeRepository(kr);
 			}
 		}
